javax.xml.registry.infomodel

## Interface TelephoneNumber

-     public interface TelephoneNumber

  A simple re-usable entity class that defines attributes of a telephone number.
  Author:
    Farrukh S. Najmi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAreaCode()` Gets the area code.
    `String` | `getCountryCode()` Gets the country code.
    `String` | `getExtension()` Gets the internal extension.
    `String` | `getNumber()` Gets the telephone number suffix, not including the country or area code.
    `String` | `getType()` The type of telephone number (for example, "fax").
    `String` | `getUrl()` Gets the URL that can dial this number electronically.
    `void` | `setAreaCode(String areaCode)` Sets the area code.
    `void` | `setCountryCode(String countryCode)` Sets country code.
    `void` | `setExtension(String extension)` Sets the internal extension.
    `void` | `setNumber(String number)` Sets the telephone number suffix, not including the country or area code.
    `void` | `setType(String type)` Sets the type of telephone number (for example, "fax").
    `void` | `setUrl(String url)` Sets the URL that can dial this number electronically.

- - ### Method Detail

    - #### getCountryCode

          String getCountryCode()
                                throws JAXRException

      Gets the country code. Default is an empty String.

      Capability Level: 1
      Returns:
        the country code
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getAreaCode

          String getAreaCode()
                             throws JAXRException

      Gets the area code. Default is an empty String.

      Capability Level: 1
      Returns:
        the area code
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getNumber

          String getNumber()
                           throws JAXRException

      Gets the telephone number suffix, not including the country or area code. Default is an empty String.

      Capability Level: 0
      Returns:
        the telephone number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getExtension

          String getExtension()
                              throws JAXRException

      Gets the internal extension. Default is an empty String.

      Capability Level: 1
      Returns:
        the internal extension number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getUrl

          String getUrl()
                        throws JAXRException

      Gets the URL that can dial this number electronically. Default is a NULL String.

      Capability Level: 1
      Returns:
        the url
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getType

          String getType()
                         throws JAXRException

      The type of telephone number (for example, "fax"). Any String would do.

      Capability Level: 0
      Returns:
        the type for this TelephoneNumber, which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setCountryCode

          void setCountryCode(String countryCode)
                              throws JAXRException

      Sets country code.

      Capability Level: 1
      Parameters:
        `countryCode` - the country code
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setAreaCode

          void setAreaCode(String areaCode)
                           throws JAXRException

      Sets the area code.

      Capability Level: 1
      Parameters:
        `areaCode` - the area code
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setNumber

          void setNumber(String number)
                         throws JAXRException

      Sets the telephone number suffix, not including the country or area code.

      Capability Level: 0
      Parameters:
        `number` - the telephone number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setExtension

          void setExtension(String extension)
                            throws JAXRException

      Sets the internal extension.

      Capability Level: 1
      Parameters:
        `extension` - the internal extension number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setUrl

          void setUrl(String url)
                      throws JAXRException

      Sets the URL that can dial this number electronically.

      Capability Level: 1
      Parameters:
        `url` - the URL string
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setType

          void setType(String type)
                       throws JAXRException

      Sets the type of telephone number (for example, "fax"). Any String will do.

      Capability Level: 0
      Parameters:
        `type` - the type for this TelephoneNumber, which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.